# displays disc remaining time

execute as @e[scores={jjba_disc_tick=1..}] run scoreboard players set @s 20 20
execute as @e[scores={jjba_disc_tick=1..}] run scoreboard players remove @s jjba_disc_tick 1
execute as @e[scores={jjba_disc_tick=1..}] run scoreboard players operation @s jjba_disc_sec = @s jjba_disc_tick
execute as @e[scores={jjba_disc_tick=1..}] run scoreboard players operation @s jjba_disc_sec /= @s 20

execute as @e[scores={jjba_disc_tick=1..}] run title @a[scores={jjba_stand=12}] actionbar [{"text":"Time Left: ","color":"white"},{"score":{"name":"@s","objective":"jjba_disc_sec"},"color":"yellow"},{"text":" second(s)","color":"yellow"}]
execute as @a[scores={jjba_disc_tick=1..}] run title @s actionbar [{"text":"Time Left: ","color":"white"},{"score":{"name":"@s","objective":"jjba_disc_sec"},"color":"yellow"},{"text":" second(s)","color":"yellow"}]

# mob/player disorientation
execute as @e[type=!player,scores={jjba_disc_tick=1..}] run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:0},{Name:generic.attack_knockback,Base:0}]}
execute as @e[scores={jjba_disc_tick=20..}] run effect give @s minecraft:blindness 2 0 true

# stops ability if time is out
execute as @e[tag=jjba_disc_take,scores={jjba_disc_tick=0}] run data merge entity @s {Attributes:[{Name:generic.attack_knockback,Base:0}]}
execute as @e[tag=jjba_disc_take,scores={jjba_disc_tick=0}] unless entity @s[type=minecraft:zombie] unless entity @s[type=minecraft:husk] unless entity @s[type=minecraft:zombie_villager] run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:16}]}
execute as @e[tag=jjba_disc_take,type=minecraft:zombie,scores={jjba_disc_tick=0}] run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:40}]}
execute as @e[tag=jjba_disc_take,type=minecraft:husk,scores={jjba_disc_tick=0}] run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:40}]}
execute as @e[tag=jjba_disc_take,type=minecraft:zombie_villager,scores={jjba_disc_tick=0}] run data merge entity @s {Attributes:[{Name:generic.follow_range,Base:40}]}
execute as @e[tag=jjba_disc_take,scores={jjba_disc_tick=0}] run tag @s remove jjba_disc_take

# removes stand discs
execute if entity @e[scores={jjba_disc_tick=1..10}] at @s run kill @e[type=item,nbt={Item:{id:"minecraft:prismarine_shard",tag:{stolen:1b}}},limit=1,sort=nearest]
execute if entity @e[scores={jjba_disc_tick=1..10}] run clear @s minecraft:prismarine_shard{stolen:1b} 1
