# summon stand
execute as @s[scores={jjba_active=0,jjba_attack_3=0,jjba_cooldown_3=0}] run scoreboard players set @s jjba_active 1

# termination conditions
execute as @s[scores={jjba_head_Q=1,jjba_attack_3=9600,jjba_cooldown_3=1..}] run scoreboard players set @s jjba_cooldown_3 9600
execute as @s[scores={jjba_head_Q=1,jjba_attack_3=9600,jjba_cooldown_3=9600}] run scoreboard players set @s jjba_attack_3 0

# initiate
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=0}] run scoreboard players set @s jjba_attack_3 9600

# bomb setting
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=4800..9599}] unless entity @e[tag=bite_bomb] run function jjba:stands/queen/bites_the_dust/raycasting/cast

# duration
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=..9599,jjba_stat_dur=1}] run scoreboard players add @s jjba_cooldown_3 24
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=..9599,jjba_stat_dur=2}] run scoreboard players add @s jjba_cooldown_3 32
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=..9599,jjba_stat_dur=3}] run scoreboard players add @s jjba_cooldown_3 48
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=..9599,jjba_stat_dur=4}] run scoreboard players add @s jjba_cooldown_3 64
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=..9599,jjba_stat_dur=5}] run scoreboard players add @s jjba_cooldown_3 78
execute as @s[scores={jjba_cooldown_3=9600..}] run scoreboard players set @s jjba_cooldown_3 9600

# bomb activation/deactivation
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=9600}] at @s unless entity @e[tag=bite_bomb] run scoreboard players set @s jjba_attack_3 0
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=9600}] at @s unless entity @e[tag=bite_bomb] run function jjba:stands/queen/bites_the_dust/remove
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=9600}] run execute as @e[tag=bite_bomb] at @s run function jjba:stands/queen/bites_the_dust/bomb
execute as @s[scores={jjba_attack_3=9600,jjba_cooldown_3=9600}] if entity @e[tag=bite_active] run function jjba:stands/queen/bites_the_dust/explode
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=9600}] run function jjba:stands/queen/bites_the_dust/remove

# gamerule management
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..4799}] if score keepInventory gamerule matches 0 run gamerule keepInventory false
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..4799}] if score keepInventory gamerule matches 1 run gamerule keepInventory true
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..4799}] if score doImmediateRespawn gamerule matches 0 run gamerule doImmediateRespawn false
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..4799}] if score doImmediateRespawn gamerule matches 1 run gamerule doImmediateRespawn true
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..4799}] if score showDeathMessages gamerule matches 0 run gamerule showDeathMessages false
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..4799}] if score showDeathMessages gamerule matches 1 run gamerule showDeathMessages true

# cooldown
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..,jjba_stat_cool=1}] run scoreboard players remove @s jjba_cooldown_3 8
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..,jjba_stat_cool=2}] run scoreboard players remove @s jjba_cooldown_3 12
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..,jjba_stat_cool=3}] run scoreboard players remove @s jjba_cooldown_3 16
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..,jjba_stat_cool=4}] run scoreboard players remove @s jjba_cooldown_3 24
execute as @s[scores={jjba_attack_3=0,jjba_cooldown_3=1..,jjba_stat_cool=5}] run scoreboard players remove @s jjba_cooldown_3 36
execute as @s[scores={jjba_cooldown_3=..-1}] run scoreboard players set @s jjba_cooldown_3 0

# remove tag
execute as @s[scores={jjba_cooldown_3=0},tag=attack_3] run tag @s remove attack_3
