# resets time stop bossbar
function jjba:run/reset_bossbars

playsound minecraft:stand.star_start master @a ~ ~ ~ 0.44 1

# projectile motion

execute as @e[tag=jjba_stop,tag=motion_saved] store result entity @s Motion[0] double 0.0075 run scoreboard players get @s jjba_vx
execute as @e[tag=jjba_stop,tag=motion_saved] store result entity @s Motion[1] double 0.0075 run scoreboard players get @s jjba_vy
execute as @e[tag=jjba_stop,tag=motion_saved] store result entity @s Motion[2] double 0.0075 run scoreboard players get @s jjba_vz
execute as @e[tag=jjba_stop,tag=motion_saved] store result entity @s Rotation[0] double 0.0075 run scoreboard players get @s jjba_yaw
execute as @e[tag=jjba_stop,tag=motion_saved] store result entity @s Rotation[1] double 0.0075 run scoreboard players get @s jjba_pitch

scoreboard players reset @e[tag=jjba_stop,tag=motion_saved] jjba_vx
scoreboard players reset @e[tag=jjba_stop,tag=motion_saved] jjba_vy
scoreboard players reset @e[tag=jjba_stop,tag=motion_saved] jjba_vz
scoreboard players reset @e[tag=jjba_stop,tag=motion_saved] jjba_yaw
scoreboard players reset @e[tag=jjba_stop,tag=motion_saved] jjba_pitch

execute as @e[type=shulker_bullet,tag=!brain,tag=motion_saved] run data merge entity @s {Steps:9}

# player effects
effect give @s minecraft:blindness 1 0 true
effect give @s minecraft:slowness 1 1 true

# kills time stop entity
kill @e[type=armor_stand,tag=freeze_players]

# gamerules
execute if score doDaylightCycle gamerule matches 1 run gamerule doDaylightCycle true
execute if score doWeatherCycle gamerule matches 1 run gamerule doWeatherCycle true
execute if score doFireTick gamerule matches 1 run gamerule doFireTick true
execute if score doMobSpawning gamerule matches 1 run gamerule doMobSpawning true
execute if score doMobLoot gamerule matches 1 run gamerule doMobLoot true

execute if score randomTickSpeed gamerule matches 1..999 run gamerule randomTickSpeed 3
execute if score randomTickSpeed gamerule matches 1000 run gamerule randomTickSpeed 1000
execute if score randomTickSpeed gamerule matches 1500 run gamerule randomTickSpeed 1500
execute if score randomTickSpeed gamerule matches 2000 run gamerule randomTickSpeed 2000
execute if score randomTickSpeed gamerule matches 2500 run gamerule randomTickSpeed 2500
execute if score randomTickSpeed gamerule matches 3000 run gamerule randomTickSpeed 3000

# unfreezes mobs
execute as @e[tag=!NoAI,tag=jjba_stop] run data merge entity @s {NoAI:0b}
execute as @e[tag=!Silent,tag=jjba_stop] run data merge entity @s {Silent:0b}
execute as @e[tag=!NoGravity,tag=jjba_stop] run data merge entity @s {NoGravity:0b}
tag @e[tag=NoAI,tag=jjba_stop] remove NoAI
tag @e[tag=Silent,tag=jjba_stop] remove Silent
tag @e[tag=NoGravity,tag=jjba_stop] remove NoGravity
execute as @e[type=creeper,tag=jjba_stop] run data merge entity @s {Fuse:30}

# mob killing during time stop
execute as @e[tag=motion_saved,tag=!time_killed] run data modify entity @s Health set from entity @s AbsorptionAmount
execute as @e[tag=time_killed] run kill @s
execute as @e[tag=motion_saved] run data merge entity @s {AbsorptionAmount:0f}

# clears effects

effect clear @a[tag=jjba_stop] minecraft:mining_fatigue
effect clear @a[tag=jjba_stop] minecraft:water_breathing
effect clear @a[tag=jjba_stop] minecraft:fire_resistance
effect clear @a[tag=jjba_stop] minecraft:slowness
effect clear @a[tag=jjba_stop] minecraft:weakness
effect clear @a[tag=jjba_stop] minecraft:blindness
effect clear @a[tag=jjba_stop] minecraft:jump_boost

effect clear @a[tag=time_stop_immune] minecraft:mining_fatigue
effect clear @a[tag=time_stop_immune] minecraft:slowness
effect clear @a[tag=time_stop_immune] minecraft:weakness
effect clear @a[tag=time_stop_immune] minecraft:jump_boost

# tag remove
tag @e[tag=NoGravity] remove NoGravity
tag @e[tag=Silent] remove Silent
tag @e[tag=NoAI] remove NoAI
tag @e[tag=jjba_stop] remove jjba_stop
tag @e[tag=motion_saved] remove motion_saved
tag @e[tag=time_stop_immune] remove time_stop_immune
kill @e[type=armor_stand,tag=epicentrum,limit=1,sort=nearest]
