# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/weather/stand/summon_stand
execute as @s[scores={jjba_active=21},tag=stand_active] at @s run function jjba:stands/weather/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/weather/stand/dismiss_stand

# initiates active abilities
execute as @s[scores={jjba_jump=1,jjba_active=1..}] run function jjba:stands/weather/propel
execute as @s[scores={jjba_head_F=1}] run function jjba:stands/weather/change_weather
execute as @s[scores={jjba_head_f=1,jjba_ab_2=1,jjba_ab_3=0}] run tag @s add attack_1
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1}] run tag @s add attack_2

# runs active abilities
execute as @s[tag=attack_1] at @s run function jjba:stands/weather/lightning/ability
execute as @s[tag=attack_2] at @s run function jjba:stands/weather/heavy_weather/ability

# runs passive ability
execute as @s[scores={jjba_active=1..}] run effect give @s minecraft:slow_falling 1 2 true

# bossbars

execute as @s store result bossbar jjba_weather_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_weather_1 name [{"text":"Lightning Strike : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=1..}] run bossbar set minecraft:jjba_weather_1 name [{"text":"Lightning Strike : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_weather_1 name [{"text":"Lightning Strike : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_weather_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_weather_2 name [{"text":"Heavy Weather : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=1..}] run bossbar set minecraft:jjba_weather_2 name [{"text":"Heavy Weather","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_weather_2 name [{"text":"Heavy Weather : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute if predicate clear run title @s actionbar [{"text":"Weather (Rain) : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.sneak","color":"yellow"},{"text":"+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to use","color":"yellow"}]
execute if predicate rain run title @s actionbar [{"text":"Weather (Thunderstorm) : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.sneak","color":"yellow"},{"text":"+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to use","color":"yellow"}]
execute if predicate thunder run title @s actionbar [{"text":"Weather (Clear) : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.sneak","color":"yellow"},{"text":"+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to use","color":"yellow"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute as @s[scores={jjba_ab_3=0}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Weather Report』\"}"},CustomModelData:200001}
execute as @s[scores={jjba_ab_3=1}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run item replace entity @s hotbar.0 with minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Weather Report: Heavy Weather』\"}"},CustomModelData:200001}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
